<?php

namespace Drupal\migrate_default_content_export\ExportEntityFilter;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\migrate_default_content_export\ExportEntityFilterBase;

/**
 * A filter that excludes the super admin user.
 */
class AdminUserFilter extends ExportEntityFilterBase {

  /**
   * {@inheritdoc}
   */
  public function filter(ContentEntityInterface $entity): bool {
    return $entity->getEntityTypeId() === 'user' && $entity->id() !== '1';
  }

}
